@import "../../../variables";

.keypad {
  margin-top: 12.5vh;
  width: 50vh;
  height: 75vh;
  display: flex;
  flex-direction: column;
}

.error-message {
  padding-top: 0.3rem;
  min-height: 1rem;
  max-height: 1rem;
  overflow: visible;
}

.pin-place-empty {
  height: 30px;
  width: 34px;
  display: flex;
  align-content: center;
  text-align: justify;
  border-bottom: solid $light 1px;
  padding: 0 0.9rem;
  overflow: visible;
  transition: all ease-out 200ms;

  div.error > & {
    border-color: $danger;
    color: $danger;
    //border-width: 2px;
  }
}

.pin-key {
  padding: 0;
  width: 10vh;
  height: 10vh;
  font-size: 210%;
}
